import request from '@/utils/request'


export default {
    // 周界防范告警设备登记信息查询
    queryPerimeterDevice(data) {
        return request({
            url: `/PerimeterController/queryPerimeterDevice`,
            method: 'post',
            data
        })
    },
    // 周界防范告警设备登记信息新增
    addPerimeterDevice(data) {
        return request({
            url: `/PerimeterController/addPerimeterDevice`,
            method: 'post',
            data
        })
    },
    // 周界防范告警设备登记信息修改
    updatePerimeterDevice(data) {
        return request({
            url: `/PerimeterController/updatePerimeterDevice`,
            method: 'post',
            data
        })
    },

    //区域入侵告警数据删除
    perimeterAlarmDel(params) {
        return request({
            url: `/PerimeterController/deleteDevice`,
            method: 'post',
            params: params
        })
    },
    //设防
    sf(params) {
        return request({
            url: `/PerimeterController/updateDeviceStatus`,
            method: 'post',
            params: params
        })
    },
}
